Guard Luis:
Beleth is a demon that led the legions of the undead, and attempted to make an eternal empire of darkness in this land. However, the wise men of the Ivory Tower and the Elven Mystics joined forces, and with their powers sealed him underground.
Some people say that Beleth was originally a Mystic, but became a demon after studying forbidden black magic. Well ... If that is true, doesn't that mean that there could always be another evil Mystic like him? You really can't trust Mystics!
Return